Policies
Get Policy 3 by UUID
Retrieve a specific policy 3 configuration by policy UUID
GET
/
v2.5
/
api
/
microseg
/
policy-list3
/
{policy_uuid}
cURL
curl -sk -X GET "https://<controller>/v2.5/api/microseg/policy-list3/{policy_uuid}" \
-H "Authorization: cid <CID>"import requests
url = "https://<controller>/v2.5/api/microseg/policy-list3/{policy_uuid}"
headers = {"Authorization": "cid <CID>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/microseg/policy-list3/{policy_uuid}", nil)
req.Header.Set("Authorization", "cid <CID>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"name": "<string>",
"policies": [
{
"action": "ACTION_UNSPECIFIED",
"decrypt_policy": "DECRYPT_UNSPECIFIED",
"desc": "desc",
"dst_ads": [
"dst_ads",
"dst_ads"
],
"exclude_sg_orchestration": true,
"flow_app_requirement": "APP_UNSPECIFIED",
"log_profile": "uuid",
"logging": true,
"name": "name",
"port_ranges": [
{
"hi": 0,
"lo": 6
},
{
"hi": 0,
"lo": 6
}
],
"priority": 1,
"protocol": "PROTOCOL_UNSPECIFIED",
"src_ads": [
"src_ads",
"src_ads"
],
"system_resource": true,
"tls_profile": "uuid",
"uuid": "uuid",
"watch": true,
"web_filters": [
"web_filters",
"web_filters"
]
}
],
"system_resource": true,
"uuid": "<string>",
"attach_to": "<string>",
"editable": true,
"metadata": {
"key1": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key10": "value10",
"key2": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key20": "value20",
"key3": {
"k8s": {
"resource-type": "k8s-policylist"
}
}
}
}{
"message": "<string>"
}Headers
Controller ID in the format: cid .
Example:
"cid <CID>"
Response
GET operation response
- Option 1
- Option 2
The Micro-Segmentation DCF Policy List object format
List of microseg policies
Show child attributes
Show child attributes
UUID of an attachment point parent
Metadata for DCF objects (Policy List, Policy Block, Policy)
Example:
{
"key1": {
"k8s": { "resource-type": "k8s-policylist" }
},
"key10": "value10",
"key2": {
"k8s": { "resource-type": "k8s-policylist" }
},
"key20": "value20",
"key3": {
"k8s": { "resource-type": "k8s-policylist" }
}
}
Was this page helpful?
⌘I
cURL
curl -sk -X GET "https://<controller>/v2.5/api/microseg/policy-list3/{policy_uuid}" \
-H "Authorization: cid <CID>"import requests
url = "https://<controller>/v2.5/api/microseg/policy-list3/{policy_uuid}"
headers = {"Authorization": "cid <CID>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/microseg/policy-list3/{policy_uuid}", nil)
req.Header.Set("Authorization", "cid <CID>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println(resp.Status)
}{
"name": "<string>",
"policies": [
{
"action": "ACTION_UNSPECIFIED",
"decrypt_policy": "DECRYPT_UNSPECIFIED",
"desc": "desc",
"dst_ads": [
"dst_ads",
"dst_ads"
],
"exclude_sg_orchestration": true,
"flow_app_requirement": "APP_UNSPECIFIED",
"log_profile": "uuid",
"logging": true,
"name": "name",
"port_ranges": [
{
"hi": 0,
"lo": 6
},
{
"hi": 0,
"lo": 6
}
],
"priority": 1,
"protocol": "PROTOCOL_UNSPECIFIED",
"src_ads": [
"src_ads",
"src_ads"
],
"system_resource": true,
"tls_profile": "uuid",
"uuid": "uuid",
"watch": true,
"web_filters": [
"web_filters",
"web_filters"
]
}
],
"system_resource": true,
"uuid": "<string>",
"attach_to": "<string>",
"editable": true,
"metadata": {
"key1": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key10": "value10",
"key2": {
"k8s": {
"resource-type": "k8s-policylist"
}
},
"key20": "value20",
"key3": {
"k8s": {
"resource-type": "k8s-policylist"
}
}
}
}{
"message": "<string>"
}